return {
	"akinsho/flutter-tools.nvim",
	lazy = false,
	dependencies = {
		"nvim-lua/plenary.nvim",
		"stevearc/dressing.nvim", -- optional for vim.ui.select
	},
	config = function()
		require("flutter-tools").setup({
			dev_log = {
				enabled = true,
				filter = nil, -- optional callback to filter the log
				notify_errors = false, -- notify the user if the is an error whilst running
				open_cmd = "tabedit",
			},
			widget_guides = {
				enabled = true,
			},
			closing_tags = {
				enabled = true,
			},
			lsp = {
				color = {
					enabled = true,
					background = false,
					foreground = false,
					background_color = { r = 19, g = 17, b = 24 },

					virtual_text = true,
					virtual_text_str = "■",
				},
				settings = {
					showTodos = true,
					completeFunctionCalls = true,
					analysisExcludedFolders = {
						vim.fn.expand("$HOME/.pub-cache"),
					},
					lineLength = 120,
				},
			},
		})
	end,
}
